Subject: Re: Should help.autocorrect be on by default?

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 01 Oct 2021 01:16:40 +0200

On Thu, Sep 30 2021, Brian Bartels wrote:

> This would save developers precious inner loop time. I looked at the
> code and it already handles cases where the environment isn't
> interactive. So this should be a pretty minor configuration change.
>
> Let me know what you think,
> Brian

I haven't looked myself, but it's very informative to browse the list
archives at https://lore.kernel.org/git/ (search for help.autocorrect)
to see if this has been brought up before, whether there were any
arguments for/against, or if it was just an arbitrary (or careful due to
a new feature) default at the time.

That and trying your hand at flipping the default via a patch, running
the tests, seeing if any fail & fixing them is also a good way to both
get the ball rolling, and to discover any past opinions about what
should/shouldn't be the default added as code/tests at the time.